Subject: Re: bug#49714: 28.0.50; TRAMP burns CPU and has insufficient user reporting when using xxxx-sk SSH keys

From: Michael Albinus <[email-masked]>
Date: Mon, 16 Aug 2021 21:50:40 +0200

Dima Kogan <[email-masked]> writes:

> Hi Michael.

Hi Dima,

> I just updated my emacs to a recent-enough build that has
> all the fixes: 0b049fe71d7 from 2021/08/06. I see the issue I described
> earlier. Specific steps:

I'm following your tests.

> 1. emacs -Q '/ssh:whatever:'
>
> 2. emacs asks for the passphrase. I enter it
>
> 3. emacs says "Confirm user presence..." in the minibuffer
>
> I can touch the yubikey, and emacs completes the sequence. While it's
> waiting for the yubikey to be touched, emacs is frozen. The toolbar is
> rendered, but the modeline and scroll bars are not. The point is not
> rendered. If I switch to another window, and switch back, the toolbar is
> redrawn, but nothing else is. Most notably, the "Confirm use
> presence..." text in the minibuffer is not redrawn.

But that's expected. Emacs *is* frozen, it waits for you to touch the
yubikey. Alternatively, you can cancel this operation with C-g, or you
can wait 30 seconds for the timeout.

While Tramp is waiting to complete the connection, you cannot do
anything with Emacs. What else do you expect to do?

> I can follow slightly different steps:
>
> 1. emacs -Q
>
> 2. C-x C-f /ssh:whatever:
>
> 3. emacs asks for the passphrase. I enter it
>
> If I do this instead, emacs freezes right away, and I don't ever see the
> prompt in the minibuffer at all. Again, it's not "frozen", since
> touching the yubikey works properly, but the UI indication is missing.

I see the prompt in the minibuffer. It is the message after your file
name /ssh:whatever: , which is placed in square brackets [ and ].

> You don't see this?

I can send you screenshots, if you mind. Honestly, I don't see anything wrong.

> Thanks!

Best regards, Michael.